%define major 7
%define libname %mklibname gif %major
%define develname %mklibname -d gif

Name:		giflib
Version:	5.1.4
Release:	%mkrel 1
URL:		http://giflib.sourceforge.net/
Summary:	Library for reading and writing gif images
License:	BSD like
Source:		%{name}-%{version}.tar.xz
Patch1:		giflib-5.1.2-automake-1.13.patch
Patch2:		giflib-5.0.5_CVE-2015-7555.patch
Patch3:		giflib-CVE-2016-3977.patch
BuildRequires:	libx11-devel
BuildRequires:	xmlto
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

%package progs
Summary:	Gif tools based on giflib
Group:		Graphics
Provides:   libungif-progs = %version-%release
Obsoletes:	libungif-progs < %version-%release

%description progs
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This package provides some gif tools based on giflib.

%package -n %libname
Group:	System/Libraries
Summary: Library for reading and writing gif images
Provides:   %{_lib}ungif4 = %version-%release
Provides:   %{_lib}ungif = %version-%release
Obsoletes:  %{_lib}ungif4 < %version-%release

%description -n %libname
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

%package -n %develname
Group:		Development/Libraries
Summary:	Development files for giflib
Requires:	%libname = %version-%release
Provides:	giflib-devel = %{version}-%{release}
Provides:   %{_lib}ungif4-devel = %version-%release
Provides:   %{_lib}ungif-devel = %version-%release
Provides:   libungif-devel = %version-%release
Provides:   ungif-devel = %version-%release
Provides:   %{_lib}ungif4-static-devel = %version-%release
Provides:   %{_lib}ungif-static-devel = %version-%release
Obsoletes: %{_lib}ungif4-devel < %version-%release
Obsoletes: %{_lib}ungif4-static-devel < %version-%release

%description -n %develname
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This packages provides the developement files for giflib.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%{__rm} -Rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# Let's try to keep -lungif working for really old code
ln -s libgif.so %{buildroot}%{_libdir}/libungif.so


%files progs
%{_bindir}/*
%{_mandir}

%files -n %libname
%{_libdir}/libgif.so.%{major}
%{_libdir}/libgif.so.%{major}.*


%files -n %develname
%{_includedir}/gif_lib.h
%{_libdir}/libgif.so
%{_libdir}/libungif.so


%changelog
* Sun Feb 05 2017 bb <bb> 5.1.4-1pclos2017
- new version for kodi

* Wed Jun 04 2014 bb <bb> 4.2.3-1pclos2014
- update


